Subject: Re: Internet Draft : OSPF Refresh and Flooding in Stable Topologi es

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 3 Apr 2003 11:51:15 -0500

Hi Padma,

Just a minor comment. It would be nice to put the configuration part in the
appendix, as in other OSPF drafts. Besides putting the object names as well
as default values if any, though I know it does look very obvious from the
draft itself.

Thanks,
Vishwas

-----Original Message-----
From: Padma Pillay-Esnault [mailto:[email-masked]]
Sent: Thursday, April 03, 2003 2:44 AM
To: [email-masked]
Subject: Re: Internet Draft : OSPF Refresh and Flooding in Stable
Topologies

Mitchell,

First let me state that this feature can only operate if
all the routers have an understanding on how to handle DNA
LSA per rfc 1793.

>
> Group,
>
>         Sorry, just a few items to ponder :)
>
>         This document does not discuss the implications of a LSA
>         being corrupted (LSA checksum failed) and then being
>         discarded.
>
>         Should we not do checksums on DNA LSAs?
>
>         Can the router that is removing the failed checksum LSA
>         flood a earlier instance of the LSA? This hoping that the
>         LSA will be reflooded by the originator? Should it be
>         stated here?

I am not sure I understand your question.
How does handling this case differ between a router implementing this
draft and having a router implementing DC somewhere in your topology
and emitting DNA LSAs?

>
>         Should it be stated that this knob is per interface?

This is stated in section 5.

>
>         Should it be stated what happens if the knob is first to
>         have normal flooding, then reduced flooding or vice versa,
>         OR more simply stated the requirement to reflush the LSA
>         that are having their DNA bit changed?
>
Do you mean to state that turning off the feature should cause all
the LSAs to be reflooded with the DNA bit clear ? This seemed obvious
to me. But any ways, on the first refresh of the LSA on the originating
router this will cause the LSA to be flooded with the new sequence
number and DNA bit clear.

>         What is the implication of changing the knob twice within
>         the standard 5 secs of re-originating the same LSA?

That would be implementation choice how to keep track of this.

>
>         Should a DNA LSA be removed upon loss of an adj due to
>         the dead router interval expiring?

This is part of rfc 1793 that when reachability to the router
originating an LSA with DNA bit set is lost that LSA should be maxaged.

>
>         **What is the implication that during the initial flooding of
>         the DNA LSA, that a temporary routing loop or a black hole
>         existed? This could even be due to mis-router configuration?
>         Now, after this temporary condition has cleared will some
>         routers never get the LSA?  In the past we could be assured
>         that we would eventually see the LSA....

Any change in topology/configuration will result in LSA(s) being
flooded so this will clear up.

>
>         And lastly, should this document identify the procedure
>         for removing its originated LSA before a orderly shutdown?

This is covered by the non-reachability rule.

>
>
>         Mitchell Erblich
>         Sr Software Engineer
>         -----------------------------------
>

Padma

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Thu, 3 Apr 2003 09:06:10 -0800

Hi Vishwas

> as default values if any, though I know it does look very obvious from the

I'll see to it.

Thanks

Padma